﻿
/**
 *	直線テスト２
 */

package {
	
	import flash.display.Sprite;
	import flash.display.Graphics;
	import flash.geom.Point;
	
	public class TestLine2 extends Sprite{
		
		private var line:Line;
		private var line2:Line;
		
		private var container:Sprite;
		
		public function TestLine2(){
			super();
			
			line  = new Line( 2, -1, 100 );
			line2 = new Line( 1, -3, -200 );
			
			container = new Sprite()
			addChild( container );
			container.x = stage.stageWidth/2;
			container.y = stage.stageHeight/2;
			
			//軸
			container.graphics.lineStyle(0, 0x333333);
			container.graphics.moveTo( 0, stage.stageHeight/2 );
			container.graphics.lineTo( 0, -stage.stageHeight/2 );
			container.graphics.moveTo( stage.stageWidth/2, 0 );
			container.graphics.lineTo( -stage.stageWidth/2, 0 );
			
			//交点
			var p:Point = line.intersectionTo(line2);
			plot( container.graphics, p );
			
			//直線
			container.graphics.lineStyle( 0, 0xffffff );
			container.graphics.moveTo( -container.x, line.fx(-container.x) );
			container.graphics.lineTo(  container.x, line.fx(container.x) );
			
			container.graphics.moveTo( -container.x, line2.fx(-container.x) );
			container.graphics.lineTo(  container.x, line2.fx(container.x) );
			
		}
		
		/**
		* プロット
		*/
		protected function plot(g:Graphics,p:Point):void{
			g.beginFill( 0xffffff );
			g.drawCircle( p.x, p.y, 3 );
			g.endFill();
		}
		
	}
	
}
